function g = grid2d(breite, hoehe, hx, hy)
% Erzeuge rechteckiges 2D-Gitter

    g.hx = hx;
    g.hy = hy;
    g.breite = breite;
    g.hoehe  = hoehe;

    g.xCnt   = ceil(breite/hx) + 1;
    g.yCnt   = ceil(hoehe/hy) + 1;
    g.varCnt = g.xCnt * g.yCnt;

    if ((g.xCnt - 1) * hx ~= breite)
        error('Falsche Breite!');
    elseif ((g.yCnt - 1) * hy ~= hoehe)
        error('Falsche Hoehe!');
    end
    
    g.x = 0 : hx : breite;
    g.y = 0 : hy : hoehe;

    col = 1 : g.xCnt;
    for rowCnt = 1 : g.yCnt
        g.varNum(rowCnt, :) = (rowCnt - 1)*g.xCnt + col;
    end
    
    % Anlegen/Reservieren von Speicherplatz fr
    % rechte Seite
    g.rhs    = zeros(g.varCnt, 1);

    % Dirichlet-Randbedingungen
    g.dirMarker = sparse(g.yCnt, g.xCnt);
    g.dirValue  = sparse(g.yCnt, g.xCnt);

    % Systemmatrix
    g.sysMat    = sparse(g.varCnt, g.varCnt);

    % Lsung
    g.solution  = zeros(g.yCnt, g.xCnt);
    
end